%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/gofrs/flock
Version:                0.8.1

%gometa

%global common_description %{expand:
Flock implements a thread-safe sync.Locker interface for file locking. It also
includes a non-blocking TryLock() function to allow locking without blocking
execution.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Thread-safe file locking library in Go

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

BuildRequires:  golang(gopkg.in/check.v1)

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
